#include <QList>
#include "kolabaccount.h"


struct Folder
{
    Folder(const QString &n, Kolab::FolderType type = Kolab::MailType, const QList<Object> &obj = QList<Object>()): objects(obj), name(n), folderType(type){};
    QList<Object> objects;
    QString name;
    Kolab::FolderType folderType;
};

void createFolders(KolabAccount *account, const QList<Folder> &folders)
{
    foreach (const Folder &folder, folders) {
        account->createFolder(folder.name, folder.folderType);
        foreach(const Object &obj, folder.objects) {
            account->appendObject(obj, folder.name);
        }
    }
}