#include <QObject>
#include <QTest>
#include "coordinationjob.h"
#include "sourceserver.h"
#include "kolabserver.h"
#include "migrateuserjob.h"
#include <kolabaccount.h>

class MigrationTest : public QObject
{
  Q_OBJECT
  private slots:
    void testUsersProcessed()
    {
        TestServer *server = new TestServer(this);
        KolabServer *kolabServer = new KolabServer(this);
        CoordinationJob *job = new CoordinationJob(server, kolabServer, this);
        job->exec();
        QVERIFY(server->mUsers.isEmpty());
    }
    
    void testFoldersProcessed()
    {
        TestAccount *server = new TestAccount(this);
        KolabAccount *kolabServer = new KolabAccount(this);
        MigrateUserJob *job = new MigrateUserJob(server, kolabServer, this);
        job->exec();
        QVERIFY(server->mFolderList.isEmpty());
    }
};

QTEST_MAIN( MigrationTest )

// #include "moc_migrationtest.cxx"
#include "migrationtest.moc"